JUCE: juce::midi_ci::PropertySubscriptionHeader Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
juce::midi_ci::PropertySubscriptionHeader Struct Reference
juce_midi_ci » ci

A struct containing data members that correspond to common fields in a property subscription header. More...

`#include <juce_CIPropertyDelegate.h>`

## Public Member Functions
var | toVarCondensed () const
| Converts a PropertySubscriptionHeader to a JSON object suitable for use as a MIDI-CI message header after conversion to 7-bit ASCII.

## Static Public Member Functions
static PropertySubscriptionHeader | parseCondensed (const var &)
| Converts a JSON object to a PropertyRequestHeader.

## Public Attributes
String | resource
String | resId
Encoding | mutualEncoding = Encoding::ascii
String | mediaType = "application/json"
PropertySubscriptionCommand | command { -1 }
String | subscribeId
std::map< Identifier, var > | extended

## Detailed Description

A struct containing data members that correspond to common fields in a property subscription header.

Check the Property Exchange specification to find the meaning of the different fields.

## Member Function Documentation

## ◆ parseCondensed()

static PropertySubscriptionHeader juce::midi_ci::PropertySubscriptionHeader::parseCondensed | ( | const var & |  | ) |
| static

Converts a JSON object to a PropertyRequestHeader.

Unspecified fields will use their default values.

Referenced by juce::midi_ci::PropertyExchangeResult::getHeaderAsSubscriptionHeader().

## ◆ toVarCondensed()

var juce::midi_ci::PropertySubscriptionHeader::toVarCondensed | ( |  | ) | const

Converts a PropertySubscriptionHeader to a JSON object suitable for use as a MIDI-CI message header after conversion to 7-bit ASCII.

## Member Data Documentation

## ◆ resource

String juce::midi_ci::PropertySubscriptionHeader::resource

## ◆ resId

String juce::midi_ci::PropertySubscriptionHeader::resId

## ◆ mutualEncoding

Encoding juce::midi_ci::PropertySubscriptionHeader::mutualEncoding = Encoding::ascii

## ◆ mediaType

String juce::midi_ci::PropertySubscriptionHeader::mediaType = "application/json"

## ◆ command

PropertySubscriptionCommand juce::midi_ci::PropertySubscriptionHeader::command { -1 }

## ◆ subscribeId

String juce::midi_ci::PropertySubscriptionHeader::subscribeId

## ◆ extended

std::map<Identifier, var> juce::midi_ci::PropertySubscriptionHeader::extended

The documentation for this struct was generated from the following file:

- juce_CIPropertyDelegate.h